/* a sample program that prints the name of host. */
#include <stdlib.h>
#include <stdio.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>

int main() {
    struct in_addr in;
    char cp[]="169.237.108.47";
    
    in.s_addr = inet_network(cp); /*returns numbers suitable for use
                                 as Internet network numbers. */
    printf("%s\n",inet_ntoa(in));
}
